> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Bank Feed

> Ingest bank feed data for a specific bank account. Creates bank transactions with corresponding journal entries, updates account balances, and triggers auto-categorization.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /ca/api/bank-feed/{account_id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/bank-feed/{account_id}:
    post:
      tags:
        - Cash Management
      summary: Post Bank Feed
      description: >-
        Ingest bank feed data for a specific bank account. Creates bank
        transactions with corresponding journal entries, updates account
        balances, and triggers auto-categorization.
      operationId: ca_api_bank_feed_create
      parameters:
        - in: path
          name: account_id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankFeed'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BankFeed'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BankFeed'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bank feed processed successfully
                  account_id:
                    type: integer
                  submitted_count:
                    type: integer
                  created_count:
                    type: integer
                  skipped_count:
                    type: integer
                  skipped_transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        external_transaction_id:
                          type: string
                        reason:
                          type: string
                  failed_count:
                    type: integer
                  failed_transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        external_transaction_id:
                          type: string
                        reason:
                          type: string
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BankFeed:
      type: object
      properties:
        balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        available_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        balance_as_of_date:
          type: string
          format: date
        transactions:
          type: array
          items:
            type: object
            additionalProperties: {}
      required:
        - available_balance
        - balance
        - balance_as_of_date
        - transactions
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````